# mysqli::get_charset

# mysqli_get_charset

(PHP 5 >= 5.1.0, PHP 7)

mysqli::get_charset -- mysqli_get_charset — Returns a character set object

### Description

Object oriented style

mysqli::get_charset ( void ) : object

Procedural style

mysqli_get_charset ( mysqli `$link` ) : object

Returns a character set object providing several properties of the current active character set.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

The function returns a character set object with the following properties:

`charset`

  Character set name

`collation`

  Collation name

`dir`

  Directory the charset description was fetched from (?) or "" for built-in character sets

`min_length`

  Minimum character length in bytes

`max_length`

  Maximum character length in bytes

`number`

  Internal character set number

`state`

  Character set status (?)

### Examples

Example #1 mysqli::get_charset() example

Object oriented style

`<?php
$db = mysqli_init();
$db->real_connect("localhost","root","","test");
var_dump($db->get_charset());
?>`

Procedural style

`<?php
$db = mysqli_init();
mysqli_real_connect($db, "localhost","root","","test");
var_dump(mysqli_get_charset($db));
?>`

The above examples will output:

    object(stdClass)#2 (7) {
      ["charset"]=>
      string(6) "latin1"
      ["collation"]=>
      string(17) "latin1_swedish_ci"
      ["dir"]=>
      string(0) ""
      ["min_length"]=>
      int(1)
      ["max_length"]=>
      int(1)
      ["number"]=>
      int(8)
      ["state"]=>
      int(801)
    }

### See Also

- mysqli_character_set_name() - Returns the default character set for the database connection
- mysqli_set_charset() - Sets the default client character set